clc;
clear;
%----------------------------------------------------------------------------
%                                    5om
%----------------------------------------------------------------------------
% Rn = 0.455 + 5.034;
% Rc = 0.;
% Rl = 0.33;
% E = 24;
% 
% i1 = 1.4;
% i2 = 2.07;
% i3 = 1.409;
% 
% t1 = 0.0003107;
% t2 = 0.0003413;
% t3 = 0.0003821;
% 
% U = 9.386;
% I = i2;
% 
% di = i1 - i2;
% dt = t1 - t2;
% 
% L1 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U*Rc/(Rc+Rn) - U + E);
% 
% U = 9.162;
% I = i3;
% 
% di = i2 - i3;
% dt = t2 - t3;
% 
% L2 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U*Rc/(Rc+Rn) - U);
% 
% L = (L1+L2)/2;
%----------------------------------------------------------------------------
%                                    10om
%----------------------------------------------------------------------------
Rn = 0.455 + 9.922;
Rc = 0.2400;
Rl = 0.33;
E = 24;

i1 = 0.6678;
i2 = 1.15;
i3 = 0.6641;

t1 = 0.0003146;
t2 = 0.0003449;
t3 = 0.0003866;

U2 = 9.388;
I = i2;

di = i1 - i2;
dt = t1 - t2;

L1 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U2*Rc/(Rc+Rn) - U2 + E);

U3 = 9.217;
I = i3;

di = i2 - i3;
dt = t2 - t3;

L2 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U3*Rc/(Rc+Rn) - U3);

L = (L1+L2)/2;
%----------------------------------------------------------------------------
%                                    15om
%----------------------------------------------------------------------------
% Rn = 0.455 + 5.034 + 9.922;
% Rc = 0.2400;
% Rl = 0.33;
% E = 24;
% 
% i1 = 0.3834;
% i2 = 0.8226;
% i3 = 0.3908;
% 
% t1 = 0.0003605;
% t2 = 0.0003899;
% t3 = 0.0004316;
% 
% U = 9.401;
% I = i2;
% 
% di = i1 - i2;
% dt = t1 - t2;
% 
% L1 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U*Rc/(Rc+Rn) - U + E);
% 
% U = 9.242;
% I = i3;
% 
% di = i2 - i3;
% dt = t2 - t3;
% 
% L2 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U*Rc/(Rc+Rn) - U);
% 
% L = (L1+L2)/2;
%----------------------------------------------------------------------------
%                                   20om
%----------------------------------------------------------------------------
% Rn = 20;
% Rc = 0.2762;
% Rl = 0.33;
% E = 24;
% 
% i1 = 0.2802;
% i2 = 0.7454;
% i3 = 0.2709;
% 
% t1 = 0.0003071;
% t2 = 0.0003368;
% t3 = 0.0003788;
% 
% U = 9.947;
% I = i2;
% 
% di = i1 - i2;
% dt = t1 - t2;
% 
% L1 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U*Rc/(Rc+Rn) - U + E);
% 
% U = 9.781;
% I = i3;
% 
% di = i2 - i3;
% dt = t2 - t3;
% 
% L2 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U*Rc/(Rc+Rn) - U);
% 
% L = (L1+L2)/2;
%----------------------------------------------------------------------------
%                                   25om
%----------------------------------------------------------------------------
% Rn = 25;
% Rc = 0.2595;
% Rl = 0.33;
% E = 24;
% 
% i1 = 0.1809;
% i2 = 0.6336;
% i3 = 0.1783;
% 
% t1 = 0.0002619;
% t2 = 0.0002916;
% t3 = 0.0003335;
% 
% U = 9.956;
% I = i2;
% 
% di = i1 - i2;
% dt = t1 - t2;
% 
% L1 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U*Rc/(Rc+Rn) - U + E);
% 
% U = 9.795;
% I = i3;
% 
% di = i2 - i3;
% dt = t2 - t3;
% 
% L2 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U*Rc/(Rc+Rn) - U);
% 
% L = (L1+L2)/2;
%----------------------------------------------------------------------------
%                                   30om
%----------------------------------------------------------------------------
% Rn = 30;
% Rc = 0.2893;
% Rl = 0.33;
% E = 24;
% 
% i1 = 0.1101;
% i2 = 0.5535;
% i3 = 0.1134;
% 
% t1 = 0.0003018;
% t2 = 0.0003314;
% t3 = 0.0003731;
% 
% U = 9.958;
% I = i2;
% 
% di = i1 - i2;
% dt = t1 - t2;
% 
% L1 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U*Rc/(Rc+Rn) - U + E);
% 
% U = 9.803;
% I = i3;
% 
% di = i2 - i3;
% dt = t2 - t3;
% 
% L2 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U*Rc/(Rc+Rn) - U);
% 
% L = (L1+L2)/2;
%----------------------------------------------------------------------------
%                                   35om
%----------------------------------------------------------------------------
% Rn = 3;
% Rc = 0.2998;
% Rl = 0.33;
% E = 24;
% 
% i1 = 0.;
% i2 = 0.;
% i3 = 0.;
% 
% t1 = 0.000;
% t2 = 0.000;
% t3 = 0.000;
% 
% U = 9.;
% I = i2;
% 
% di = i1 - i2;
% dt = t1 - t2;
% 
% L1 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U*Rc/(Rc+Rn) - U + E);
% 
% U = 9.;
% I = i3;
% 
% di = i2 - i3;
% dt = t2 - t3;
% 
% L2 = (dt/di) * (-I*Rn*Rc/(Rn+Rc) - Rl*I + U*Rc/(Rc+Rn) - U);
% 
% L = (L1+L2)/2;
